export class SlowBlockComponent {
    constructor() {
        this.onTick = this.onTick.bind(this);
    }
    onTick(event) {
        const entities = event.dimension.getEntities({ location: {x:event.block.location.x, y:event.block.location.y + 1, z:event.block.location.z}, minDistance: 0, maxDistance: 1 });
        entities.forEach((entity) => {
            entity.addEffect("minecraft:slowness", 20, {showParticles: false, amplifier: 5});
        });
    }
}
SlowBlockComponent.id = 'pu_biomes:slow_block';
